Skip to content
Baremetrics

Create Customer

POST https://api.baremetrics.com/v1/{source_id}/customers

This endpoint allows you to create a customer record. After you create the record, you will be able to create a Subscription

It may take a little while for us to fetch all of the profile information for the customer.

Path parameters

  • source_id string required

    Please see Sources

Body

application/json
  • name string
  • notes string

    Your own notes for this customer. These will be displayed in the profile

  • email string

    An email address for this customer. This is used to lookup extra profile information

  • oid string required

    Your unique ID for the customer

  • created string · date-time

    A unix timestamp of when this customer was created. Defaults to now.

    Default "NOW"

Responses

200OK
{
  "customer": {
    "oid": "customer_1",
    "source_id": "source_1",
    "source": "stripe",
    "created": 1492605754,
    "email": "customer_1@baremetrics.com",
    "name": "Customer 1",
    "display_image": "https://logo.clearbit.com/baremetrics.com",
    "display_name": "Customer 1",
    "notes": "Here are some notes",
    "ltv": 0,
    "is_active": false,
    "is_canceled": false,
    "current_mrr": 0,
    "current_plans": []
  }
}
400Bad Request
{
  "error": "Error message here"
}